ttsnoop(demos)

NAME
ttsnoop — send and receive ToolTalk messages interactively

SYNOPSIS

ttsnoop [-t]

DESCRIPTION

Then ttsnoop utility allows its user to create and send custom constructed ToolTalk messages, and to selectively monitor any or all ToolTalk messages on your system. ttsnoop menu options are as follows:

•   Snoop -- Turn on/off tracing; get version information

•   Message -- Create, open, receive, and destroy messages

•   Pattern -- Create, open, and destroy patterns

•   File -- Numerous tasks, including joining a file

•   Session -- Join a specific session; set the default session

•   Ptype -- Declare and undeclare a ptype; determine whether a ptype exists

•   Types -- Generate a list of declared types; generate a list of ToolTalk-based actions

•   Procid -- Open, close, suspend, and resume a procid

•   libc -- Call system(), putenv(), chdir(), pause(), and exit(); use exit() to exit ttsnoop

OPTIONS

The following command-line options are available:

-t  Print trace output. Of particular interest is that ttsnoop will print example ToolTalk API code in the invoking OpenWindows cmdtool (or console if ttsnoop is invoked via a menu choice) showing what ToolTalk API calls are being used to construct a particular pattern or message.

SEE ALSO

ttsession(1)